org.apache.myfaces.trinidad.context

## Enum AccessibilityProfile.ColorContrast

- java.lang.Object
- - java.lang.Enum<AccessibilityProfile.ColorContrast>
  - - org.apache.myfaces.trinidad.context.AccessibilityProfile.ColorContrast

- All Implemented Interfaces:
    Serializable, Comparable<AccessibilityProfile.ColorContrast>
  Enclosing class:
    AccessibilityProfile

      public static enum AccessibilityProfile.ColorContrast
      extends Enum<AccessibilityProfile.ColorContrast>

  Color contrast values

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH` Color contrast value for users who prefer styles/content optimized for high contrast settings.
    `STANDARD` Color contrast value for users who prefer the default (non-high contrast-optimized) styles/content.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AccessibilityProfile.ColorContrast` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AccessibilityProfile.ColorContrast[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HIGH

          public static final AccessibilityProfile.ColorContrast HIGH

      Color contrast value for users who prefer styles/content optimized for high contrast settings.

    - #### STANDARD

          public static final AccessibilityProfile.ColorContrast STANDARD

      Color contrast value for users who prefer the default (non-high contrast-optimized) styles/content.

  - ### Method Detail

    - #### values

          public static AccessibilityProfile.ColorContrast[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessibilityProfile.ColorContrast c : AccessibilityProfile.ColorContrast.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessibilityProfile.ColorContrast valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.